import tkinter as tk
from PIL import ImageTk, Image

root = tk.Tk()                  # Root widget
root.title("My first GUI!")

canvas = tk.Canvas(             # Canvas widget
    root,
    width=1024,
    height=800,
    bg='white'
)
canvas.pack(fill=tk.BOTH, expand=1)

canvas.create_text(
    1024/2,
    400,
    anchor=tk.CENTER,
    text='Curious Zelda is shocked!',
    font=('Arial',30,'bold italic'),
)

# Add your own images to the canvas!

image = Image.open("curious_zelda.jpg")
image = ImageTk.PhotoImage(image)
canvas.create_image(
    1024/2,
    400/2,
    anchor=tk.CENTER,
    image=image
)

# Like a "game" loop, we need something continuously looping
# to create the main window

root.mainloop()

